> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get price of a specific item

> Retrieves price details of an item by itemId



## OpenAPI

````yaml offers_v2_combined get /api-offers/item/{itemId}
openapi: 3.0.0
info:
  title: Offers v2
  description: >-
    fabric's Offers APIs let you set up and manage stock keeping unit (SKU)
    prices. Its wide range of coupon and promotion features let you design
    discounts ranging from single-use, customer-specific coupons to site-wide
    promotions applicable for all SKUs.
  version: 2.0.0
  contact:
    email: support@fabric.inc
  license:
    url: https://fabric.inc/api-license
    name: fabric API license
servers:
  - url: https://live.copilot.fabric.inc
    description: Production
security:
  - AuthorizationToken: []
tags:
  - name: Price List
    description: >-
      Price list is a collection of items and their assigned prices. An item can
      exist in multiple price lists. This gives you the ability to assign
      different prices to the same item. Price lists let you set currency and
      duration of the prices. For example, if the price list expires, prices of
      items within the price list will also expire. You can configure the
      pricing API to include your default price. <br />When requesting pricelist
      of items or evaluating promotions, you should mention the price list ID
      that you want to use.
  - name: Pricing
    description: >-
      Pricing endpoints let you create and manage price details for one or many
      items. You can configure the pricing API to include your default price
      list in all requests.
  - name: Price Guard
    description: >-
      Price Guard allows you to create and manage more diversified price-kinds
      for the item, such as manufacturer recommended retail price (MSRP),
      minimum advertised price (MAP), floor price, ceiling price, clearance
      price,  and so on.  Price guard works as a protection mechanism against
      any further creation of prices for the item. These endpoints let you
      create and manage such price-kinds.
  - name: Price Kind
    description: >-
      Unlike price guard, price kind endpoint lets you get the fundamental price
      kinds (for example, base price and sale price) that are created while
      setting up the item information.
  - name: Promotion
    description: >-
      Promotion is a discount on an item, cart or shipping method based on set
      conditions. As promotions can be linked to specific price lists, it is
      important to submit the correct price list ID. Promotion endpoints let you
      create and manage discounts that will be applied to all customers' carts
      that meet the required conditions.
  - name: Coupon
    description: >-
      Coupon endpoints let you create and manage coupon codes that customers can
      enter at checkout to receive a discount.
  - name: Dynamic Pricing Engine
    description: >-
      fabric's Dynamic Pricing Engine APIs evaluate promotions and calculate
      prices instantly for the cart items using real-time price calculation
      method, that incorporates the latest information, to provide personalized
      and competitive prices for specific customers. It supports formula based
      custom SKU dynamic pricing, and shows discount breakdown details for
      separate items having separate promotions. It uses the cache information,
      instead of fetching offer details of items from database, to evaluate
      promotions and calculate prices instantly. It is fast, scalable to
      millions of pricing requests per day, and supports complex promotional
      strategies.
  - name: Global exclusion
    description: >-
      Global exclusions let you exclude SKUs from being discounted by active
      promotions. These endpoints let you manage those sku-lists.
  - name: Redemption
    description: Redemption endpoints let you manage the records of coupon redemptions.
  - name: Segment
    description: >-
      Segment endpoints let you target promotions at specific groups of
      customers by linking the promotion to a segment identifier. A customer
      segment is a group of customers that have been given a unique reference to
      easily identify them. They may be grouped in a number of ways such as
      demographics, locations, device type, and so on. fabric Offers supports
      the assignment of a customer segment to a promotion so that the promotion
      is applied only to a specific group of customers. You must enter your
      customer segment identifiers in the *Settings* of the Copilot application.
  - name: Upload price CSV
    description: This endpoint lets you bulk upload price details using a CSV file.
  - name: Product
    description: >-
      Product endpoint lets you get product and price information based on sku.
      Product information is retrieved from Product Catalog and price details
      are retrieved from Offers service.
  - name: Item
    description: >-
      Item endpoints let you get products and prices information based on
      itemId. Product information of an item is retrieved from Product Catalog
      and price details are retrieved from Offers service.
  - name: Attributes
    description: >-
      Attributes refer to a collection of attributes names and their values.
      Using attributes, you can group entities, such as products or shoppers,
      that share similar characteristics, such as dimension, age group,
      location, device type, and more. For example, the shopper segmentation can
      be used to tailor promotions to a specific customer segment by linking the
      promotion to the segment identifier.
  - name: Exports
    description: >-
      fabric Export endpoints let you export data to CSV files based on the
      provided filters.
externalDocs:
  description: Learn more about Offers
  url: https://developer.fabric.inc/docs/offers-overview
paths:
  /api-offers/item/{itemId}:
    get:
      tags:
        - Item
      summary: Get price of a specific item
      description: Retrieves price details of an item by itemId
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - in: path
          name: itemId
          schema:
            type: number
          required: true
          description: ID of the item to get price details for
          example: 1000000269
        - in: query
          name: priceListId
          schema:
            type: number
          required: false
          description: >-
            ID of the price list to which the item belongs to. If priceListId is
            not provided, default priceList is considered for search. If the
            itemId does not belong to the default priceList, then the price
            object is not returned.
        - in: query
          name: limit
          schema:
            type: number
            default: 10
            minimum: 1
          required: false
          description: The maximum number of records per page.
        - name: offset
          in: query
          description: >-
            The number of records to skip before returning records. For example,
            when offset is 20 and limit is 10, this endpoint returns records
            from 21 to 30.
          required: false
          schema:
            type: number
            minimum: 0
            default: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/productById'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/productByIdNotFound'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error500'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    productById:
      type: object
      properties:
        channel:
          type: array
          description: Sales channel of the product
          items:
            type: number
          example:
            - 12
            - 13
        startDate:
          type: string
          format: date-time
          example: '2020-08-17T07:39:29.092Z'
          description: Start date of the product
        endDate:
          type: string
          format: date-time
          example: '2099-12-31T00:00:00.000Z'
          description: End date of the product
        group:
          type: array
          description: Item's group/category ID
          items:
            type: string
          example:
            - 5e2cfa5245570b000863c4ab
        title:
          type: string
          example: Arper Dizzie Oval Coffee Table
          description: Title of the product
        itemId:
          type: number
          example: 1000000269
          description: Item ID
        price:
          type: object
          description: >-
            Price of the product. It displays price details if the price was
            setup previously. If price is not setup previously, it displays
            `null`
          properties:
            id:
              type: string
              description: fabric database ID of the item
              example: 5e31832ccaf608b232bb4cdrr
            isSoftDeleted:
              type: boolean
              description: >-
                true indicates price information of the item is deleted<br />
                false indicates price information of the item is not deleted
            itemId:
              type: number
              example: 1000000269
            offerId:
              type: number
              example: 1074
              description: ID of the created offer for the itemId or itemSku
            createdAt:
              type: string
              description: Creation date of the item and its price information
              example: '2020-08-19T10:53:29.918Z'
            updatedAt:
              type: string
              description: Last updated date of the item and its price information
              example: '2020-08-19T10:53:29.918Z'
            offers:
              type: array
              items:
                type: object
                properties:
                  price:
                    type: object
                    properties:
                      sale:
                        type: number
                        description: Price at which the product is offered for sale
                        example: 0
                      base:
                        type: number
                        description: Minimum fixed price of the item if any
                        example: 229
                      currency:
                        type: string
                        description: Currency code of the price set for the item
                        example: USD
                  channel:
                    type: number
                    description: Sales channel of the item
                    example: 12
                  startDate:
                    type: string
                    format: date-time
                    description: Start date and time of the offer price
                    example: '2018-10-19T16:46:45Z'
                  endDate:
                    type: string
                    format: date-time
                    description: End date and time of the offer price
                    example: '2099-12-31T00:00:00Z'
                  kind:
                    type: number
                    description: >-
                      Price kind ID that indicates what kind of price is this-
                      promotion price or clearance price.
                    example: 12
            query:
              type: object
              description: Pagination information for offers array
              properties:
                limit:
                  description: The maximum number of records per page.
                  type: number
                  example: 10
                  default: 10
                count:
                  type: number
                  example: 50
                  description: Total number of offers for specified price.
                offset:
                  description: >-
                    The number of records to skip before returning records. For
                    example, when offset is 20 and limit is 10, this endpoint
                    returns records from 21 to 30.
                  type: number
                  example: 0
                  default: 0
        isDefault:
          type: boolean
          description: >-
            false for parent product<br /> If a parent product has child items,
            true represents the default child item to be displayed, under the
            parent product, on the product listing page.
        isActive:
          type: boolean
          description: >-
            true if the item is active and displayed in the catalog. isActive
            will be true only when state is `READY` <br /> false if the state is
            `DRAFT`, and item is not displayed in the catalog
        attributes:
          type: array
          items:
            type: object
            properties:
              attributeGroupId:
                type: string
                description: >-
                  Attribute group ID. Related attributes are grouped for easy
                  identification and maintenance
                example: 123123
              id:
                type: string
                description: Attribute ID
                example: 321321
              value:
                oneOf:
                  - type: string
                    example: size
                  - type: number
                  - type: boolean
              isDefault:
                type: boolean
                description: Indicates if this is the default attribute of the item
        parent:
          type: string
          description: If the item has a parent product, it displays the parent product ID
          example: 5f3a355075cc4900085fb1b1
        itemFamily:
          type: string
          description: >-
            Parent family to which the item belongs to. All items belongs to an
            itemFamily
          example: 5f3a3371d9bf7b0007d699d8
        description:
          type: string
          example: >-
            This smart band's OLED display (300 nits) can show up to 48
            characters, thereby letting you view everything with a single
            glance. The display is fingerprint-coated to offer you a clear view
            every time.
          description: Description of the product
        variants:
          type: array
          description: >-
            Shows if any variant of the product is available, based on color or
            size and other details.
          items:
            type: string
          example:
            - VARIANT-01
            - VARIANT-55
        state:
          type: string
          example: READY
          description: >-
            Status of the product. READY indicates the item along with all of
            its attributes is rady is to be published on the product listing
            page.
        images:
          type: array
          description: Details of images of the item displayed on the copilot UI
          items:
            type: object
            properties:
              id:
                type: string
                description: Image ID
                example: 5fd7577251a93f0007e48383
              order:
                type: number
                description: Sequence number of the product on copilot UI
                example: 0
              label:
                type: string
                example: >-
                  https://abchome-xpm-images.s3.amazonaws.com/12.01.20+Giving+Tuesday/Homepage/HP_HolidaySix_GI_1.jpg?w=1067
              source:
                type: array
                description: Source of the images of the item
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Source ID of the image
                      example: 5fd7577251a93f0007e48383
                    url:
                      type: string
                      description: Source URL of the image
                      example: >-
                        https://abchome-xpm-images.s3.amazonaws.com/12.01.20+Giving+Tuesday/Homepage/HP_HolidaySix_GI_1.jpg?w=1067
        sku:
          type: string
          example: XMSH99KLW10
          description: SKU of the product
        isSoftDeleted:
          example: false
          type: boolean
          description: >-
            true indicates the item is removed from the copilot UI<br /> false
            indicates item is not removed from the copilot UI
    productByIdNotFound:
      type: object
      properties:
        code:
          description: The error code.
          type: string
          example: ITEM_NOT_FOUND
        message:
          description: An error message corresponding to the `code`.
          type: string
          example: Item not found.
    error500:
      type: object
      properties:
        code:
          description: The error code.
          type: string
          example: INTERNAL_SERVER_ERROR
        message:
          description: An error message coressponding to the `code`.
          type: string
          example: Internal server error.
  securitySchemes:
    AuthorizationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````